Summary:	Set of additional widgets for GTK+
Summary(pl.UTF-8):	Zestaw dodatkowych kontrolek dla GTK+
Name:		libsexy
Version:	0.1.11
Release:	10
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://releases.chipx86.com/libsexy/libsexy/%{name}-%{version}.tar.gz
# Source0-md5:	33c079a253270ec8bfb9508e4bb30754
Patch0:		%{name}-pc.patch
Patch1:		%{name}-configure.ac.patch
URL:		http://chipx86.com/w/index.php/Libsexy
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml
BuildRequires:	enchant-devel >= 1.2.6
BuildRequires:	gtk+2-devel >= 2:2.10.3
BuildRequires:	gtk-doc >= 1.7
BuildRequires:	iso-codes >= 0.53
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Set of graphical widgets for GTK+ applications.

%description -l pl.UTF-8
Zestaw kontrolek graficznych dla programów opartych o GTK+.

%package devel
Summary:	Header files for libsexy library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libsexy
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	enchant-devel >= 1.2.6
Requires:	gtk+2-devel >= 2:2.10.3
Requires:	libxml2-devel >= 1:2.6.26

%description devel
Header files for libsexy library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libsexy.

%package static
Summary:	Static libsexy library
Summary(pl.UTF-8):	Statyczna biblioteka libsexy
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libsexy library.

%description static -l pl.UTF-8
Statyczna biblioteka libsexy.

%package apidocs
Summary:	libsexy API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libsexy
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libsexy API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libsexy.

%prep
%setup -q
%patch0 -p1
%patch1 -p0

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libsexy.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%attr(755,root,root) %{_libdir}/libsexy.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsexy.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsexy.so
%{_includedir}/libsexy
%{_pkgconfigdir}/libsexy.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libsexy.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libsexy
%changelog
* Wed May 01 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libsexy.git;a=log;h=master

* Wed May 01 2013 Lukasz Glebicki <blekot@pld-linux.org> 175f0a7
- patch against new autotools

* Wed May 01 2013 Lukasz Glebicki <blekot@pld-linux.org> 5a9f7b2
- rebuild against libpng15
- added libsexy-configure.ac.patch to build with new autotools

* Wed Mar 23 2011 Artur Frysiak <artur@frysiak.net> 42924db
- drop libtool file
- rel. 9

* Wed Nov 24 2010 hawk <hawk@pld-linux.org> 108ab88
- release 8

* Wed Feb 10 2010 sparky <sparky@pld-linux.org> 34f8c57
- BR: docbook-dtd412-xml

* Mon Feb 08 2010 Marcin Banasiak <marcin.banasiak@gmail.com> a78b813
- ghost soname symlink
- release 7

* Thu Jan 28 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1b2e9a9
- release 6

* Fri Nov 07 2008 Paweł Sikora <pluto@pld-linux.org> 54c7be2
- release 5.

* Tue Sep 30 2008 Jakub Bogusz <qboosh@pld-linux.org> fcf2cf9
- updated URL

* Sat Dec 15 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 37a7783
- added apidocs subpackage
- release 4

* Mon Oct 29 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 9ada2bb
- release 3

* Mon Oct 08 2007 Jakub Bogusz <qboosh@pld-linux.org> 67c2eb0
- changed pc patch to fix libdir instead of trying to fix what wasn't broken
- more verbose files

* Mon Oct 08 2007 Jakub Bogusz <qboosh@pld-linux.org> 0ae8c1e
- proper fix; pkg-config already removes standard -I/-L

* Sat Oct 06 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> eb6b013
- rel 2; don't put standard inc/lib paths in pc file

* Sat Oct 06 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> f82569c
- don't add standard inc/lib paths

* Fri Apr 13 2007 aredridel <aredridel@pld-linux.org> 200b341
- 0.1.11

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 4afa1aa
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2ff3784
- converted to UTF-8

* Sat Sep 09 2006 grzegol <grzegol@pld-linux.org> 70e0560
- 0.1.10

* Mon Sep 04 2006 grzegol <grzegol@pld-linux.org> 3283458
- updated to 0.1.9
- added BR: gtk-doc

